/*
	main.c - Sample File

	Simple LowLevel T6963c Library without Drawing functions
	for Rect's, Circles, etc...
	The files should be self-explanatory.

	(c) Simon Kueppers. If you find a bug or if you have a 
	question, feel free to Email me:
	simon.kueppers@stlcd.de
*/

#include "T6963c.h"
#include "SamplePic.h"
#include "CustomChars.h"


#include <stdlib.h>         				// fr utoa
#include <avr/io.h>




int main()
{
	uint8_t i;

uint8_t n;

	//Initialize
	//XOR mode, internal CG, Text and Graphic, Blinking Cursor
	T6963cInit(	T6963C_MODE_XOR | T6963C_CG_INTERNALROM, T6963C_TEXT_GRAPHIC);
	T6963cClear();
		
	//Write a Text at Row 15, Col 3
	T6963cPutStringXY_P(4, 15, PSTR("SampleTextkkkkkkkkkkkkkkkkkkk"));
	

	while(1);
	
/////////////////////////////////////

	//Initialize
	//XOR mode, internal CG, Text and Graphic, Blinking Cursor
	T6963cInit(	T6963C_MODE_XOR | T6963C_CG_INTERNALROM,
				T6963C_TEXT_GRAPHIC | T6963C_CURSOR_BLINK );
	
	//Cursorheight: 4px
	T6963cCursorPattern(4);

	//Relocate cursor
	T6963cSetCursorXY(3, 8);

	//Write a Sample Pic
	T6963cWriteChunkAt_P(T6963C_ADDR_GRAPHIC, g_SamplePic, sizeof(g_SamplePic));

	//Write a Custom Char for use with Character '\x80'
	T6963cWriteChunkAt_P(T6963C_ADDR_CGRAMH, g_CustomChars, sizeof(g_CustomChars));
	
	for (i=0; i<10; i++)
	{
		//Write 10 Rows
		T6963cPutStringXY_P(0, i, PSTR("Row "));
		T6963cPutChar(i + '0');
		//Write first Customchar
		T6963cPutString(" \x80");
	}

	//Set Pixel at Row 127, Col 0
	T6963cSetPixelXY(0, 127);

	//Write a Text at Row 15, Col 3
	T6963cPutStringXY_P(4, 15, PSTR("SampleTextkkkkkkkkkkkkkkkkkkk"));

	//Draw a thin Line
	for (i=0; i<10; i++)
		T6963cSetPixelXY(3, 115 + i);

	while(1)
	{
		asm volatile ("nop");
	}

	return 0;
}
